/////////////////////////////////////////////////////////////////
//Copyright (C) 2005 NTT CORPORATION.
//
//	ウィンドウサイズ関連ツールクラス
//
//		変更履歴
//			2005.02.14  新規作成  梅原 浩司
//
//	機能
//
//	このクラスは関連のウィンドウサイズ関連ツールのクラスです。
//
////////////////////////////////////////////////////////////////

package jp.co.ntt.lms.xmf.tools.com;

import jp.co.ntt.lms.lo.Catalog.CatalogLoEnv;
import jp.co.ntt.lms.lo.LOException;

/**
 *  ウィンドウサイズ関連ツールクラス
 * 
 *  このクラスは関連のウィンドウサイズ関連ツールのクラスです。
 * 
 *  @author 梅原 浩司
 *  @version 1.0
 */
public class ComWinSizeTool {
	
	private String strWinHeightDef = "";
	private String strWinWidthDef = "";

	/**
	 * ウィンドウサイズのデフォルト値を取得する。
	 * @param strAction アクションフラグ
	 * @param strDisplayFlg 表示フラグ
	 * @throws LOException
	 */
	public void getWinSizeDef ( String strAction, String strDisplayFlg ) throws LOException
	{
		// アクションフラグが設定されていた場合は登録処理（または更新処理）を行います
		if( strAction != null && strAction.equals( "on" ) )
		{
			//処理しない。
		}
		else
		{
			// WindowSize　設定処理 
			CatalogLoEnv objLoEnv = new CatalogLoEnv();

			//Iniファイルからウィンドウサイズの初期値を取得し、セットする。
			try
			{
				strWinHeightDef = objLoEnv.getWinHeight();
				if (! strWinHeightDef.equals("") && strWinHeightDef.length() > 4 )
				{
					//4桁以上であった場合は、4桁でカットする。
					strWinHeightDef = strWinHeightDef.substring(0,4);
				}
			}
			catch ( LOException loe )
			{
				System.out.println("環境エラー：Windowサイズ(縦)の取得に失敗しましたが、処理は続行します。");
			}

			try
			{
				strWinWidthDef = objLoEnv.getWinWidth();
				//4桁以上であった場合は、4桁でカットする。
				if (! strWinWidthDef.equals("")  && strWinWidthDef.length() > 4 )
				{
					//4桁以上であった場合は、4桁でカットする。
					strWinWidthDef = strWinWidthDef.substring(0,4);
				}
			}
			catch ( LOException loe )
			{
				System.out.println("環境エラー：Windowサイズ(横)の取得に失敗しましたが、処理は続行します。");
			}
		}
		return;
	}
	
	/**
	 * @return strWinHeightDef を戻します。
	 */
	public String getStrWinHeightDef() {
		return strWinHeightDef;
	}
	/**
	 * @return strWinWidthDef を戻します。
	 */
	public String getStrWinWidthDef() {
		return strWinWidthDef;
	}
}
